Name:       perl-Algorithm-CheckDigits
Version:    1.3.2
Release:    2%{?dist}.1

Summary:    Perl extension to generate and test check digits

Group:      Development/Libraries
License:    GPL+ or Artistic
URL:        http://search.cpan.org/dist/Algorithm-CheckDigits/
Source0:    http://search.cpan.org/CPAN/authors/id/M/MA/MAMAWE/Algorithm-CheckDigits-v%{version}.tar.gz

BuildArch:  noarch
BuildRequires:  perl
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time
BuildRequires:  perl(Carp)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(integer)
BuildRequires:  perl(vars)
BuildRequires:  perl(version)
# Tests
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(lib)
BuildRequires:  perl(Probe::Perl)
BuildRequires:  perl(Test)
BuildRequires:  perl(Test::More)
# Optional tests
BuildRequires:  perl(Test::Pod) >= 1.00
BuildRequires:  perl(Test::Pod::Coverage) >= 1.00
%if 0%{?fedora} || 0%{?rhel} > 6
BuildRequires:  perl(Test::Version)
%endif
Requires:   perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))


%description
This module provides a number of methods to test and generate check digits.


%prep
%setup -q -n Algorithm-CheckDigits-v%{version}


%build
perl Build.PL installdirs=vendor
./Build


%install
./Build install destdir=%{buildroot} create_packlist=0
%{_fixperms} %{buildroot}/*


%check
./Build test


%files
%doc Changes README
%{_bindir}/checkdigits.pl
%{perl_vendorlib}/*
%{_mandir}/man1/checkdigits.pl.1.*
%{_mandir}/man3/Algorithm::CheckDigits*3pm.*


%changelog
* Thu May 19 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.3.2-2.1
- Perl 5.24 re-rebuild of bootstrapped packages

* Tue May 17 2016 Xavier Bachelot <xavier@bachelot.org> - 1.3.2-1.1
- Don't BR:Test::Version for EL6.

* Tue May 17 2016 Xavier Bachelot <xavier@bachelot.org> - 1.3.2-1
- Update to 1.3.2.
- Add BR: perl(Test::Version) for better tests coverage.
- Don't specify the compression extension for manpages.

* Mon May 16 2016 Xavier Bachelot <xavier@bachelot.org> - 1.3.1-1
- Update to 1.3.1.

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.3.0-8
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 05 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.3.0-5
- Perl 5.22 rebuild

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.3.0-4
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 20 2013 Petr Pisar <ppisar@redhat.com> - 1.3.0-1
- 1.3.0 bump

* Sat Jul 20 2013 Petr Pisar <ppisar@redhat.com> - 0.53-9
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.53-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.53-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 13 2012 Petr Pisar <ppisar@redhat.com> - 0.53-6
- Perl 5.16 rebuild
- Specify all dependencies

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.53-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.53-4
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.53-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 14 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.53-2
- 661697 rebuild for fixing problems with vendorach/lib

* Thu Jul 01 2010 Xavier Bachelot <xavier@bachelot.org> - 0.53-1
- Update to 0.53.

* Thu Apr 29 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.50-5
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.50-4
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.50-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.50-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jul 08 2008 Xavier Bachelot <xavier@bachelot.org> - 0.50-1
- Update to 0.50.

* Thu May 22 2008 Xavier Bachelot <xavier@bachelot.org> - 0.49-1
- Update to 0.49.

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.48-3
- Rebuild for new perl.

* Sat Jan 12 2008 Xavier Bachelot <xavier@bachelot.org> - 0.48-2
- Remove '|| :' from %%check section.

* Fri Dec 21 2007 Xavier Bachelot <xavier@bachelot.org> - 0.48-1
- Update to 0.48
- Clean up spec.

* Wed Oct 18 2006 Xavier Bachelot <xavier@bachelot.org> - 0.41-1
- Initial build.
